Home

# Class goog.graphics.CanvasRectElement

Thin wrapper for canvas rectangle elements. This is an implementation of the goog.graphics.RectElement interface. You should not construct objects from this constructor. The graphics will return the object for you.

extends goog.graphics.RectElement

Instance Method Summary
| `draw(?CanvasRenderingContext2D ctx)` Draw the rectangle. Should be treated as package scope.
| `setPosition(number x, number y)` Update the position of the rectangle.
| `setSize(number width, number height)` Update the size of the rectangle.